Bulk & Campaign Messaging
Get bulk job progress & metrics
GET
Polls real-time progress for a bulk broadcast batch, including percentage completed, sent count, failed count, and execution timestamps.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
batchId*stringBatch ID of the bulk broadcast
Real-time bulk job progress and telemetry
application/json- response
status?stringdata?curl -X GET 'https://api.smspro.com/api/v1/public/sms/bulk/jobs/string'Example Response
{ "status": "string", "data": { "batchId": "string", "jobName": "string", "recipientCount": 0, "status": "string", "progressPercent": 0, "sentCount": 0, "failedCount": 0, "totalUnits": 0, "createdAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }}